// **** Quake Style Teleporter ****

textures/polotex_sfx/q1_tele
	{
	qer_editorimage textures/polotex_sfx/q1_tele.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	tessSize 128
	q3map_surfacelight 25

		{
		map textures/effects/envmap.tga
		rgbGen identity
		tcGen environment
		}
		{
		map textures/polotex_sfx/q1_tele.tga
		blendfunc blend
		rgbGen identity
		tcMod turb 0 0.3 0 0.2
		}
	}


textures/polotex_sfx/cpmaicon_180
{       	
	
	qer_trans 0.4
	surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nomarks
	surfaceparm trans
	cull none

	{
		map textures/polotex_sfx/cpmaicon_180.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
		depthWrite
	}
}


textures/polotex_sfx/gunspot1
{
	q3map_lightimage textures/base_wall/medal_frags.tga
	q3map_surfacelight 400
	qer_editorimage textures/base_wall/medal_frags.tga
	qer_trans 0.4
	surfaceparm nomarks   
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
   
	{
		map textures/base_wall/medal_frags.tga
                blendFunc add
		tcmod stretch sin 1.2 .08 0 2
		tcmod rotate 30
		rgbgen wave inverseSawtooth 0 1 0 2
	}
}


textures/polotex_base/tag-fan-frame
{
        surfaceparm trans	
        surfaceparm nomarks
	cull none
        //nopicmip
	{
		map textures/polotex_base/tag-fan-frame.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/polotex_base/tag-fan-blade
{
	qer_editorimage textures/polotex_base/tag-fan-blade.tga
        surfaceparm trans	
        surfaceparm nomarks	
	cull none
        //nopicmip

	{
		clampmap textures/polotex_base/tag-fan-blade.tga
		tcMod rotate 512 
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/polotex_base/girder03
{	
	cull none
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/polotex_base/girder03.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/polotex_base/rck5_wl3
{
        {
                map textures/sfx/kenelectric.tga  
                tcmod scale .1 .1
                tcmod scroll .01 1.5
                rgbGen identity
	}  
        {
		map textures/polotex_base/rck5_wl3.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
   
         
}

textures/polotex_sfx/logo_l00l
{
	surfaceparm nomarks   
	surfaceparm trans
	surfaceparm pointlight

	{
		map textures/polotex_sfx/logo_l00l.tga
                blendFunc add
		rgbGen vertex
	} 

}
